if (!isNeedImModule.toBoolean()) {
    apply plugin: 'com.android.application'
} else {
    apply plugin: 'com.android.library'
}
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
apply plugin: 'kotlin-kapt'
apply from: "../gradle_component/baseconfig.gradle"
android {
    defaultConfig {
        if (!isNeedImModule.toBoolean()) {
            applicationId "com.bc_chat.im"
        }
//        javaCompileOptions {
//            annotationProcessorOptions {
//                arguments = [moduleName: project.getName()]
//            }
//        }
        kapt {
            arguments {
                arg("AROUTER_MODULE_NAME", project.getName())
            }
        }
    }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
    kapt "com.alibaba:arouter-compiler:1.2.2"
    //    implementation project(':locationlib')
    api project(':RedPacket')
    api project(':CallKit')
    api project(':contactcard')
    api project(':Sight')
    api files('libs/mcssdk-1.0.1.jar')
    api 'com.huawei.android.hms:base:2.6.1.301'
    api 'com.huawei.android.hms:push:2.6.1.301'
    api files('libs/MiPush_SDK_Client_3_6_19.jar')
    api files('libs/vivo_pushsdk_v2.3.4.jar')
    api 'com.meizu.flyme.internet:push-internal:3.8.4'
}
